Bug 467357 - i945 default resolution on external LCD incorrect
i945 default resolution on external LCD incorrect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 23:40 EDT by Alex Chiang
Modified: 2018-04-11 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (367.69 KB, text/plain)
2008-10-16 23:40 EDT, Alex Chiang
no flags Details
xorg.conf generated by: Xorg -configure (1.85 KB, text/plain)
2008-10-18 20:15 EDT, Alex Chiang
no flags Details
Xorg.0.log *without* an xorg.conf (172.11 KB, text/plain)
2008-10-18 20:29 EDT, Alex Chiang
no flags Details

  None (edit)
Description Alex Chiang 2008-10-16 23:40:14 EDT
Created attachment 320634 [details]
Xorg.0.log

Description of problem:
Upon starting gdm and then Xorg, the resolution on the external LCD is incorrect. Pressing a button on the monitor itself tells me that it is being driven at 1280x1024 @ 60Hz.

Note, this bug is similar to bug 466870, but _not_ a dup. In the other bug, the driver _never_ was able to drive the external LCD at native resolution, no matter what, until the magic stanza was added to xorg.conf.

In this bug, we can get native resolution on the panel, but requires the following steps:

1) modify xorg.conf as per bz #466870
2) open an xterm and issue 'xrandr --output VGA --auto'

In other words, even though I have an xorg.conf that should do the right thing, I still need to manually issue xrandr before I get correct output.

Version-Release number of selected component (if applicable):
Version    : 2.4.2
Release    : 12.fc10

How reproducible:
100%, upon every reboot

Steps to Reproduce:
1. Power on, wait for gdm
2. get crappy resolution, login
3. open xterm, issue xrandr to fix
  
Actual results:
External panel driven at 1280x1024

Expected results:
External panel driven at native resolution (1440x900)

Additional info:
Comment 1 Matěj Cepl 2008-10-17 20:12:03 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Alex Chiang 2008-10-18 20:15:55 EDT
Created attachment 320775 [details]
xorg.conf generated by: Xorg -configure

This is the xorg.conf I am using. I generated it by issuing: Xorg -configure. I then patched it this way:

Section "Screen"
	Identifier "Screen0"
	Device     "Card0"
	Monitor    "Monitor0"
	SubSection "Display"
		Viewport   0 0
		Depth     24
+		Virtual 2048 2048
	EndSubSection
EndSection

The "Virtual" line is what lets me get native resolution (1440x900) on my external panel (after issuing xrandr). If I do not specify the "Virtual" line, then xrandr will _never_ set the external panel at native resolution, and remains stuck at 1280x1024.
Comment 3 Alex Chiang 2008-10-18 20:29:29 EDT
Created attachment 320777 [details]
Xorg.0.log *without* an xorg.conf
Comment 4 Alex Chiang 2008-10-18 20:34:30 EDT
Matej,

I did a bit more testing, and realized that I do not need the xorg.conf from comment #2 to get native resolution on my panel (after xrandr).

I realize things are getting a bit confusing, so let me clarify.

1) this bug is: Xorg does not auto-detect native panel resolution
2) I am using the default Xorg configuration. I am _not_ using an xorg.conf anymore
3) the attachment from comment #3 is still valid.
4) please disregard the original Xorg.0.log and disregard the attachment in comment #2
5) after logging in, I can successfully issue xrandr --output VGA --auto and I get the correct resolution

Thanks.
Comment 5 Stephen Hemminger 2008-11-04 11:46:43 EST
I have similar problem:
  * using no xorg.conf so using auto configuration

  * on boot configuration is always 1024 x 768

  * changing resolution with System->preferences->hardware->screen
    has no effect.

  * changing screen resolution on command line with xrandr does work:
         xrandr --output LVDS --mode 1280x800
         xrandr --output VGA --mode 1600x1200

As you can see from xrandr 1024x768 is least common denominator resolution:

$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1600 x 1600
VGA connected 1024x768+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0 +
   1400x1050      60.0  
   1280x1024      75.0     60.0  
   1280x960       75.0     70.0     60.0  
   1152x864       75.0     70.0  
   1024x768       75.0*    70.1     66.0     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     66.7     59.9  
   720x400        70.1  
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1280x800       60.0 +
   1024x768       85.0     75.0*    70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  
TMDS-1 disconnected (normal left inverted right x axis y axis)
TV disconnected (normal left inverted right x axis y axis)
Comment 6 Bug Zapper 2008-11-25 22:56:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Vedran Miletić 2009-11-05 18:11:32 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Alex Chiang 2009-11-05 18:47:04 EST
I originally reported my bug for F10.

After upgrading to F11, the resolution on my external panel is detected correctly at boot.

I'm ok with closing this bug, but we should see what Stephen says first.

Thanks.
Comment 10 Bug Zapper 2009-11-18 03:35:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2009-12-04 12:56:49 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.